Description

I'm trying to create a horizontal Google BarChart that will have an unknown number of yAxis records for each bar and marker. | have
run into a problem when | specify a barWidth of 20 and a height of 501 or greater the chart will not display. OR if | comment out the
barWidth and give the width of 600 and the height of 600 | don't get a chart.

| have included the method getBarChartDef() that | have changed in the example solution so as to reproduce my problem.

BTW When | tried to post this the first time | got an error that | didn't provide: OS version can't be blank
Java version can't be blank,Value is invalid
But | lost my file that | attached :(

History

#1 - 11/05/2013 07:09 PM - Patrick Talbot

- Status changed from New to In Progress

If you use a height and width of 600x600 make sure you're using Eastwood, Google chart has limits on the size of the image to display.
As to the bar chart's barWidth and height value, I'll check it out, but it's possible that you are running into some limit of Google.
Try using Eastwood and I'll check your script and see what | can find...

#2 - 11/05/2013 07:21 PM - Curt Cadwell

Well | was hoping to use the marker on the bar and | thought Eastwood doesn't support.
| was hoping to mark each bar with the total percentage at the end of each bar since but maybe its just not possible.

#3 - 11/05/2013 11:26 PM - Patrick Talbot

No, I'm afraid there's no support for label at the end of the bars in Eastwood.

In Google chart, you could try something like this:

var datal = {data: [45], colors: ['#BB5555'], legend: 'Servoy', markers: {text: '45'}1};
var data2 = {data: [58], color: ['#00FFFF'], legend: 'Stuff', markers: {text: '58'}};
var data3 = {data: [77], color: ['#5555BB'], legend: 'Rules!', markers: {text: '77'};
chartDef.bars = [datal, data2, data3];

#4 - 11/06/2013 04:19 PM - Curt Cadwell

Thanks for the example that is exactly what | was wanting to do. | just had to adjust the code in the markers: to an array but there was a hint in your
first line for the array.

var datal = {data: [45], color: [#BB5555", legend: 'Servoy', markers: [{text: '45'}]};

var data2 = {data: [58], color: [#00FFFF'], legend: 'Stuff', markers: [{text: '58'}]};

var data3 = {data: [77], color: [#5555BB"], legend: 'Rules!', markers: [{text: '77']};

chartDef.bars = [data1, data2, data3];

#5 - 08/14/2014 06:29 PM - Patrick Talbot

- Status changed from In Progress to Closed

Files

getBarChartDef.txt 2.52 KB 11/05/2013 Curt Cadwell

04/27/2025 1/1



http://www.tcpdf.org

